Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.passage
Enum PassageTally.Order

    java.lang.Object
      java.lang.Enum<PassageTally.Order>
          org.crosswire.jsword.passage.PassageTally.Order

All Implemented Interfaces:
  Serializable, Comparable<PassageTally.Order>

Enclosing class:
  PassageTally

    public static enum PassageTally.Order

extends Enum<PassageTally.Order>

Indicates how this PassageTally is to order it's Verses.

Enum Constant Summary
`BIBLICAL` Sort in Biblical order
`TALLY` Sort in tally rank order

Method Summary
`static PassageTally.Order` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PassageTally.Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BIBLICAL

    public static final PassageTally.Order BIBLICAL

  Sort in Biblical order

### TALLY

    public static final PassageTally.Order TALLY

  Sort in tally rank order

Method Detail

### values

    public static PassageTally.Order[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PassageTally.Order c : PassageTally.Order.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PassageTally.Order valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD